%global _hardened_build 1
%global systemctl_bin /usr/bin/systemctl
%global selinuxtype targeted
%global modulename slapd
%define _sedatadir /usr/share
%define _sesharedstatedir /usr/com

# Make reproducible builds possible
%global source_date_epoch_from_changelog 0
%global clamp_mtime_to_source_date_epoch 1
%global use_source_date_epoch_as_buildtime 1
%define _buildhost apkg

%{!?_syprefix: %define _syprefix /opt/symas }
%{!?_varfix: %define _varfix /var/symas }

Name: symas-openldap-servers-selinux
Summary: SELinux policies for symas-openldap-servers
BuildArch: noarch
Version: 1.0.6
Release: 2%{?dist}
License: BSD
# Apparently distro setup should fill this in, but can't see where,
# Fake ours from dist and strip the leading dot
Distribution: %(echo %{?dist} | tr -d .)

Requires: selinux-policy-%{selinuxtype}
Requires(post): selinux-policy-%{selinuxtype}
BuildRequires: symas-buildtools >= 1.0.4
BuildRequires: selinux-policy-devel
BuildRequires: systemd-devel
%{?selinux_requires}

Source: %{name}-v%{version}.tar.xz
#Source0: %{modulename}.te
#Source1: %{modulename}.if
#Source2: %{modulename}.fc

AutoReqProv: No

%description
SELinux policy modules for symas-openldap-servers

%prep
%setup -qn %{name}-v%{version}

%build
# SELinux policy (originally from selinux-policy-contrib)
# this policy module will override the production module
mkdir selinux
#cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2} selinux/
cp -p %{modulename}.te %{modulename}.if %{modulename}.fc selinux/
cd selinux
sed -i "s|/opt/symas|%{_syprefix}|g" %{modulename}.fc
sed -i "s|/var/symas|%{_varfix}|g" %{modulename}.fc
make -f %{_sedatadir}/selinux/devel/Makefile %{modulename}.pp
bzip2 -9 %{modulename}.pp

%install
install -D -m 0644 selinux/%{modulename}.pp.bz2 %{buildroot}%{_sedatadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.bz2

%pre
%selinux_relabel_pre -s %{selinuxtype}

%post
%selinux_modules_install -s %{selinuxtype} %{_sedatadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.bz2
%selinux_relabel_post -s %{selinuxtype}

if [ "$1" -le "1" ]; then # First install
   # the daemon needs to be restarted for the custom label to be applied
   %systemd_postun_with_restart %{modulename}.service
fi

%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s %{selinuxtype} %{modulename}
	%selinux_relabel_post -s %{selinuxtype}
fi

%files
%{_sedatadir}/selinux/packages/%{selinuxtype}/%{modulename}.pp.*
%ghost %verify(not md5 size mtime) %{_sesharedstatedir}/selinux/%{selinuxtype}/active/modules/200/%{modulename}

%changelog
* Thu Jun 06 2024 Symas Support <support@symas.com> - 1.0.6-2
- Switched to apkg for packaging
* Wed May 04 2022 Symas Support <support@symas.com> - 1.0.6-1
- Fix post-install scriptlet macro warnings
* Fri Oct 15 2021 Symas Support <support@symas.com> - 1.0.5-1
- Updated SELinux profile
